Other Classes: Class HTMLDOMImplementationImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--org.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--org.apache.html.dom.HTMLDOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS, org.w3c.dom.html.HTMLDOMImplementation

public class HTMLDOMImplementationImpl
extends org.apache.xerces.dom.DOMImplementationImpl
implements org.w3c.dom.html.HTMLDOMImplementation

Provides number of methods for performing operations that are independent of any particular instance of the document object model. This class is unconstructable, the only way to obtain an instance of a DOM implementation is by calling the static method `DOMImplementationImpl.getDOMImplementation()`.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `DOMImplementation`

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Method Summary
`org.w3c.dom.html.HTMLDocument` | `createHTMLDocument(java.lang.String title)` Create a new HTML document of the specified `TITLE` text.
`static org.w3c.dom.html.HTMLDOMImplementation` | `getHTMLDOMImplementation()` Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g.

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`createDocument, getDOMImplementation, hasFeature`

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, getFeature, hasFeature`

Method Detail

### createHTMLDocument

    public final org.w3c.dom.html.HTMLDocument createHTMLDocument(java.lang.String title)
                                                           throws org.w3c.dom.DOMException

  Create a new HTML document of the specified `TITLE` text.
  Specified by:
    `createHTMLDocument` in interface `org.w3c.dom.html.HTMLDOMImplementation`
  Parameters:
    `title` - The document title text
  Returns:
    New HTML document

### getHTMLDOMImplementation

    public static org.w3c.dom.html.HTMLDOMImplementation getHTMLDOMImplementation()

  Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g. to create a new document.
  Returns:
    Reference to a valid DOM implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.